assign.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

IntAssign | Gecode::INT_ASSIGN_MIN (void)
| Select smallest value.
IntAssign | Gecode::INT_ASSIGN_MED (void)
| Select greatest value not greater than the median.
IntAssign | Gecode::INT_ASSIGN_MAX (void)
| Select largest value.
IntAssign | Gecode::INT_ASSIGN_RND (Rnd r)
| Select random value.
IntAssign | Gecode::INT_ASSIGN (IntBranchVal v, IntBranchCommit c=nullptr)
| Select value as defined by the value function v and commit function c.
BoolAssign | Gecode::BOOL_ASSIGN_MIN (void)
| Select smallest value.
BoolAssign | Gecode::BOOL_ASSIGN_MAX (void)
| Select largest value.
BoolAssign | Gecode::BOOL_ASSIGN_RND (Rnd r)
| Select random value.
BoolAssign | Gecode::BOOL_ASSIGN (BoolBranchVal v, BoolBranchCommit c=nullptr)
| Select value as defined by the value function v and commit function c.